# CAI

CAI est un programme qui permet, à partir d'un texte, de calculer les N mots les plus probables en partant d'un mot aléatoire du texte.

Il n'est pas conçu pour être efficace ou vraiment utile, mais plutôt pour être comparé à des systèmes plus complexes comme les réseaux neuronaux.

Son empreinte mémoire est gigantesque ; il utilise environ \(64 \times (\text{nombre de mots}) \times (\text{nombre de mots}) + (\text{nombre de lettres}) \times 8\) octets juste pour stocker toutes les informations en RAM (ce qui peut représenter plusieurs GiB).

## Build

Le programme utilise la fonction `get_entropy()` de `unistd`. Il ne fonctionne donc que sur les systèmes POSIX et se compile normalement sans dépendances supplémentaires sur tous les systèmes POSIX.

## Utilisation

Le programme prend un seul paramètre : le chemin du fichier que vous souhaitez utiliser.